gnutls_x509_crt_check_key_purpose(3)

NAME
gnutls_x509_crt_check_key_purpose - API function

SYNOPSIS
#include <gnutls/x509.h>

unsigned gnutls_x509_crt_check_key_purpose(gnutls_x509_crt_t cert, const char * purpose, unsigned flags);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t type

const char * purpose
    a key purpose OID (e.g., GNUTLS_KP_CODE_SIGNING)

unsigned flags
    zero or GNUTLS_KP_FLAG_DISALLOW_ANY

DESCRIPTION
This function will check whether the given certificate matches the provided key purpose. If flags contains GNUTLS_KP_FLAG_ALLOW_ANY then it a certificate marked for any purpose will not match.

RETURNS
zero if the key purpose doesn't match, and non-zero otherwise.

SINCE
3.5.6

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/